import { createClient } from "https://esm.sh/@supabase/supabase-js@2";

// Supabase injeta automaticamente essas variáveis nas Edge Functions
const MY_URL =
  Deno.env.get("SUPABASE_URL") || "https://etblfypcxxtvvuqjkrgd.supabase.co";
const MY_KEY =
  Deno.env.get("SUPABASE_SERVICE_ROLE_KEY") ||
  Deno.env.get("SUPABASE_SERVICE_KEY")!;

export const mydb = createClient(MY_URL, MY_KEY);
